/* IMPORT */
import makeNakedPromise from 'promise-make-naked';
/* MAIN */
const isFunction = (value) => {
    return (typeof value === 'function');
};
const makeCounterPromise = () => {
    const { promise, resolve } = makeNakedPromise();
    let counter = 0;
    const increment = () => {
        counter += 1;
    };
    const decrement = () => {
        counter -= 1;
        if (counter)
            return;
        resolve();
    };
    return { promise, increment, decrement };
};
/* EXPORT */
export { isFunction, makeCounterPromise };
